#ifndef __TRACKER_H__
#define __TRACKER_H__

#include "cv.h"
#include "highgui.h"
#include <stdio.h>
#include <stdlib.h> 
#include <math.h>

extern FILE *Out;

typedef struct 
{
	CvPoint2D64d	*point;				/* Points tracks							*/
	int				count;				/* Nombre de points tracks					*/
	double			quality;
	double			minDistance;
	int				level;
}Tracker;

void InitCriteria		(Tracker  *tracker);
void InitTracker		(IplImage *image, Tracker *tracker, int *nbpoints,CvPoint3D64d **score);
void Track(IplImage *img0,Tracker *tracker0,CvPoint3D64d **score0,IplImage *img1,Tracker *tracker1,CvPoint3D64d **score1);

void ComparaisonV2(CvPoint2D64d *point1,CvPoint3D64d *score0,CvPoint2D64d *point2,CvPoint3D64d *score1,int size,double seuil);
void ComparaisonV3(CvPoint2D64d *point1,CvPoint3D64d *score1,int size0,CvPoint2D64d *point2,CvPoint3D64d *score2,int size1,double seuil);
void ComparaisonV4(CvPoint3D64d *scoreL0,CvPoint3D64d *scoreL1,CvPoint3D64d *scoreR0,CvPoint3D64d *scoreR1,int size0,int size1,double seuil);

#endif
